DEFINES += CPPEDITOR_LIBRARY
msvc: DEFINES += _SCL_SECURE_NO_WARNINGS
include(../../qtcreatorplugin.pri)

HEADERS += \
    abstracteditorsupport.h \
    abstractoverviewmodel.h \
    baseeditordocumentparser.h \
    baseeditordocumentprocessor.h \
    builtincursorinfo.h \
    builtineditordocumentparser.h \
    builtineditordocumentprocessor.h \
    builtinindexingsupport.h \
    clangdiagnosticconfig.h \
    clangdiagnosticconfigsmodel.h \
    clangdiagnosticconfigsselectionwidget.h \
    clangdiagnosticconfigswidget.h \
    compileroptionsbuilder.h \
    cppautocompleter.h \
    cppbuiltinmodelmanagersupport.h \
    cppcanonicalsymbol.h \
    cppchecksymbols.h \
    cppcodeformatter.h \
    cppcodemodelinspectordialog.h \
    cppcodemodelinspectordumper.h \
    cppcodemodelsettings.h \
    cppcodemodelsettingspage.h \
    cppcodestylepreferences.h \
    cppcodestylepreferencesfactory.h \
    cppcodestylesettings.h \
    cppcodestylesettingspage.h \
    cppcodestylesnippets.h \
    cppcompletionassist.h \
    cppcompletionassistprocessor.h \
    cppcompletionassistprovider.h \
    cppcurrentdocumentfilter.h \
    cppcursorinfo.h \
    cppdoxygen.h \
    cppeditor_global.h \
    cppeditorconstants.h \
    cppeditordocument.h \
    cppeditoroutline.h \
    cppeditorplugin.h \
    cppeditorwidget.h \
    cppelementevaluator.h \
    cppfileiterationorder.h \
    cppfilesettingspage.h \
    cppfindreferences.h \
    cppfollowsymbolundercursor.h \
    cppfunctiondecldeflink.h \
    cpphighlighter.h \
    cppincludehierarchy.h \
    cppincludesfilter.h \
    cppindexingsupport.h \
    cppinsertvirtualmethods.h \
    cpplocalrenaming.h \
    cpplocalsymbols.h \
    cpplocatordata.h \
    cpplocatorfilter.h \
    cppminimizableinfobars.h \
    cppmodelmanager.h \
    cppmodelmanagersupport.h \
    cppoutline.h \
    cppoverviewmodel.h \
    cppparsecontext.h \
    cpppointerdeclarationformatter.h \
    cpppreprocessordialog.h \
    cppprojectfile.h \
    cppprojectfilecategorizer.h \
    cppprojectinfogenerator.h \
    cppprojectpartchooser.h \
    cppprojectupdater.h \
    cppprojectupdaterinterface.h \
    cppqtstyleindenter.h \
    cppquickfix.h \
    cppquickfixassistant.h \
    cppquickfixes.h \
    cppquickfixprojectsettings.h \
    cppquickfixprojectsettingswidget.h \
    cppquickfixsettings.h \
    cppquickfixsettingspage.h \
    cppquickfixsettingswidget.h \
    cpprefactoringchanges.h \
    cpprefactoringengine.h \
    cppselectionchanger.h \
    cppsemanticinfo.h \
    cppsemanticinfoupdater.h \
    cppsourceprocessor.h \
    cpptoolsjsextension.h \
    cpptoolsreuse.h \
    cpptoolssettings.h \
    cpptypehierarchy.h \
    cppuseselectionsupdater.h \
    cppvirtualfunctionassistprovider.h \
    cppvirtualfunctionproposalitem.h \
    cppworkingcopy.h \
    cursorineditor.h \
    doxygengenerator.h \
    editordocumenthandle.h \
    followsymbolinterface.h \
    functionutils.h \
    generatedcodemodelsupport.h \
    headerpathfilter.h \
    includeutils.h \
    indexitem.h \
    insertionpointlocator.h \
    projectinfo.h \
    projectpart.h \
    refactoringengineinterface.h \
    resourcepreviewhoverhandler.h \
    searchsymbols.h \
    semantichighlighter.h \
    senddocumenttracker.h \
    stringtable.h \
    symbolfinder.h \
    symbolsfindfilter.h \
    typehierarchybuilder.h \
    usages.h \
    wrappablelineedit.h

SOURCES += \
    abstracteditorsupport.cpp \
    baseeditordocumentparser.cpp \
    baseeditordocumentprocessor.cpp \
    builtincursorinfo.cpp \
    builtineditordocumentparser.cpp \
    builtineditordocumentprocessor.cpp \
    builtinindexingsupport.cpp \
    clangdiagnosticconfig.cpp \
    clangdiagnosticconfigsmodel.cpp \
    clangdiagnosticconfigsselectionwidget.cpp \
    clangdiagnosticconfigswidget.cpp \
    compileroptionsbuilder.cpp \
    cppautocompleter.cpp \
    cppbuiltinmodelmanagersupport.cpp \
    cppcanonicalsymbol.cpp \
    cppchecksymbols.cpp \
    cppcodeformatter.cpp \
    cppcodemodelinspectordialog.cpp \
    cppcodemodelinspectordumper.cpp \
    cppcodemodelsettings.cpp \
    cppcodemodelsettingspage.cpp \
    cppcodestylepreferences.cpp \
    cppcodestylepreferencesfactory.cpp \
    cppcodestylesettings.cpp \
    cppcodestylesettingspage.cpp \
    cppcompletionassist.cpp \
    cppcompletionassistprocessor.cpp \
    cppcompletionassistprovider.cpp \
    cppcurrentdocumentfilter.cpp \
    cppdoxygen.cpp \
    cppeditordocument.cpp \
    cppeditoroutline.cpp \
    cppeditorplugin.cpp \
    cppeditorwidget.cpp \
    cppelementevaluator.cpp \
    cppfileiterationorder.cpp \
    cppfilesettingspage.cpp \
    cppfindreferences.cpp \
    cppfollowsymbolundercursor.cpp \
    cppfunctiondecldeflink.cpp \
    cpphighlighter.cpp \
    cppincludehierarchy.cpp \
    cppincludesfilter.cpp \
    cppindexingsupport.cpp \
    cppinsertvirtualmethods.cpp \
    cpplocalrenaming.cpp \
    cpplocalsymbols.cpp \
    cpplocatordata.cpp \
    cpplocatorfilter.cpp \
    cppminimizableinfobars.cpp \
    cppmodelmanager.cpp \
    cppmodelmanagersupport.cpp \
    cppoutline.cpp \
    cppoverviewmodel.cpp \
    cppparsecontext.cpp \
    cpppointerdeclarationformatter.cpp \
    cpppreprocessordialog.cpp \
    cppprojectfile.cpp \
    cppprojectfilecategorizer.cpp \
    cppprojectinfogenerator.cpp \
    cppprojectpartchooser.cpp \
    cppprojectupdater.cpp \
    cppqtstyleindenter.cpp \
    cppquickfix.cpp \
    cppquickfixassistant.cpp \
    cppquickfixes.cpp \
    cppquickfixprojectsettings.cpp \
    cppquickfixprojectsettingswidget.cpp \
    cppquickfixsettings.cpp \
    cppquickfixsettingspage.cpp \
    cppquickfixsettingswidget.cpp \
    cpprefactoringchanges.cpp \
    cpprefactoringengine.cpp \
    cppselectionchanger.cpp \
    cppsemanticinfoupdater.cpp \
    cppsourceprocessor.cpp \
    cpptoolsjsextension.cpp \
    cpptoolsreuse.cpp \
    cpptoolssettings.cpp \
    cpptypehierarchy.cpp \
    cppuseselectionsupdater.cpp \
    cppvirtualfunctionassistprovider.cpp \
    cppvirtualfunctionproposalitem.cpp \
    cppworkingcopy.cpp \
    doxygengenerator.cpp \
    editordocumenthandle.cpp \
    functionutils.cpp \
    generatedcodemodelsupport.cpp \
    headerpathfilter.cpp \
    includeutils.cpp \
    indexitem.cpp \
    insertionpointlocator.cpp \
    projectinfo.cpp \
    projectpart.cpp \
    resourcepreviewhoverhandler.cpp \
    searchsymbols.cpp \
    semantichighlighter.cpp \
    senddocumenttracker.cpp \
    stringtable.cpp \
    symbolfinder.cpp \
    symbolsfindfilter.cpp \
    typehierarchybuilder.cpp \
    wrappablelineedit.cpp

FORMS += \
    clangbasechecks.ui \
    clangdiagnosticconfigswidget.ui \
    cppcodemodelinspectordialog.ui \
    cppcodemodelsettingspage.ui \
    cppcodestylesettingspage.ui \
    cppfilesettingspage.ui \
    cpppreprocessordialog.ui \
    cppquickfixprojectsettingswidget.ui \
    cppquickfixsettingswidget.ui

RESOURCES += \
    cppeditor.qrc

equals(TEST, 1) {
    HEADERS += \
        compileroptionsbuilder_test.h \
        cppcodegen_test.h \
        cppcompletion_test.h \
        cppdoxygen_test.h \
        cppheadersource_test.h \
        cppincludehierarchy_test.h \
        cpplocalsymbols_test.h \
        cpplocatorfilter_test.h \
        cppmodelmanager_test.h \
        cpppointerdeclarationformatter_test.h \
        cppquickfix_test.h \
        cppsourceprocessertesthelper.h \
        cppsourceprocessor_test.h \
        cpptoolstestcase.h \
        cppuseselections_test.h \
        fileandtokenactions_test.h \
        followsymbol_switchmethoddecldef_test.h \
        modelmanagertesthelper.h \
        projectinfo_test.h \
        symbolsearcher_test.h \
        typehierarchybuilder_test.h

    SOURCES += \
        compileroptionsbuilder_test.cpp \
        cppcodegen_test.cpp \
        cppcompletion_test.cpp \
        cppdoxygen_test.cpp \
        cppheadersource_test.cpp \
        cppincludehierarchy_test.cpp \
        cpplocalsymbols_test.cpp \
        cpplocatorfilter_test.cpp \
        cppmodelmanager_test.cpp \
        cpppointerdeclarationformatter_test.cpp \
        cppquickfix_test.cpp \
        cppsourceprocessertesthelper.cpp \
        cppsourceprocessor_test.cpp \
        cpptoolstestcase.cpp \
        cppuseselections_test.cpp \
        fileandtokenactions_test.cpp \
        followsymbol_switchmethoddecldef_test.cpp \
        modelmanagertesthelper.cpp \
        projectinfo_test.cpp \
        symbolsearcher_test.cpp \
        typehierarchybuilder_test.cpp
    DEFINES += SRCDIR=\\\"$$PWD\\\"
}
